XPathNodeExpressionEvaluator (Mule ESB 2.2.1 API)
Keywords: org.mule.module.xml.expression.XPathNodeExpressionEvaluator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.xml.expression
Class XPathNodeExpressionEvaluator

    java.lang.Object
      org.mule.module.xml.expression.AbstractXPathExpressionEvaluator
          org.mule.module.xml.expression.XPathExpressionEvaluator
              org.mule.module.xml.expression.XPathNodeExpressionEvaluator

All Implemented Interfaces:
  MuleContextAware, ExpressionEvaluator, Disposable, NamedObject

    public class XPathNodeExpressionEvaluator

extends XPathExpressionEvaluator

Will select the text of a single node based on the property name

Field Summary
`static String` | `NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`XPathNodeExpressionEvaluator()`

Method Summary
`protected Object` | `extractResultFromNode(Object result)`
`String` | `getName()` Gets the name of the object

Methods inherited from class org.mule.module.xml.expression.XPathExpressionEvaluator
`createXPath`

Methods inherited from class org.mule.module.xml.expression.AbstractXPathExpressionEvaluator
`addNamespaces, dispose, evaluate, extractResultsFromNodes, getMuleContext, getNamespaceManager, getXPath, setMuleContext, setName, setNamespaceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### XPathNodeExpressionEvaluator

    public XPathNodeExpressionEvaluator()

Method Detail

### extractResultFromNode

    protected Object extractResultFromNode(Object result)

  Overrides:
    `extractResultFromNode` in class `XPathExpressionEvaluator`

### getName

    public String getName()

  Gets the name of the object

  Specified by:
    `getName` in interface `NamedObject`
  Overrides:
    `getName` in class `XPathExpressionEvaluator`
  Returns:
    the name of the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.